EclaireXL - Bug #27

USB D-PAD Joystick support on CORE7
05/31/2017 06:41 PM - ndary

Status: Closed
Priority: High
Assignee:

Category:

Target version:

Start date: 05/31/2017
Due date:

% Done: 0%
Estimated time: 0:00 hour

Description

When connecting a D-PAD Joystick to one of the USB ports the screen goes black!

the computer still works and even boots but with no screen.

i tried to use one of my USB joystick (Retronic ATARI 2600 Style, PS/2 USB Style, Standard USB DPAD) with the EclaireXL

mainboard but as soon as i plug it it the screen goes black

Nir

History

#1 - 05/31/2017 06:50 PM - foft

Is the VGA cable still connected?! Will dig out mine but I've not knowingly changed this. | wonder if | accidentally cross connected the video settings

and the usb joystick or something...

#2 - 05/31/2017 06:53 PM - foft
- Priority changed from Normal to High

#3 - 05/31/2017 06:57 PM - foft

- Tracker changed from Feature to Bug

#4 - 05/31/2017 07:50 PM - ndary

yes VGA is still connected, it also happen with HDMI screen

#5 - 05/31/2017 08:23 PM - foft

Confirmed. | saw video settings had changed after disconnection too.

#6 - 06/02/2017 10:28 AM - foft

| checked the code and I'm using zpu_out5 for both joystick and video mode!

#7 - 06/02/2017 09:29 PM - foft

Switched this to another output so it should no longer crash in next release

#8 - 06/02/2017 10:23 PM - foft

Confirmed good as of pbiv28.sof. This release is almost ready for v9.sof, but some issues to fix first...

#9 - 06/02/2017 10:49 PM - foft

- Status changed from New to Closed

Decided to call pbiv28 v9... Closing as complete.

04/25/2024

1/1



http://www.tcpdf.org

